Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

nodejs8-devel-8.17.0-lp152.3.17.1 RPM for aarch64

From OpenSuSE Ports Leap 15.2 updates for aarch64

Name: nodejs8-devel Distribution: openSUSE Leap 15.2
Version: 8.17.0 Vendor: openSUSE
Release: lp152.3.17.1 Build date: Wed Oct 6 19:07:06 2021
Group: Development/Languages/NodeJS Build host: obs-arm-8
Size: 754944 Source RPM: nodejs8-8.17.0-lp152.3.17.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://nodejs.org
Summary: Development headers for NodeJS 8.x
This package provides development headers for Node.js needed for creation
of binary modules.

Provides

Requires

License

MIT

Changelog

* Wed Aug 04 2021 Adam Majer <adam.majer@suse.de>
  - CVE-2021-22930.patch: http2: fixes use after free on close
    in stream canceling (bsc#1188917, CVE-2021-22930)
* Wed Jul 07 2021 Adam Majer <adam.majer@suse.de>
  - CVE-2020-8265.patch: Add a unit test for CVE-2020-8265 to make
    sure we don't have it broken in the future.
* Tue Jul 06 2021 Adam Majer <adam.majer@suse.de>
  - npm-v6.14.13.tar.gz: update to npm 6.14.13 fixing
    * fixes ssri Regular Expression Denial of Service and
      hosted-git-info Regular Expression Denial of Service
      (bsc#1187976, bsc#1187977, CVE-2021-27290, CVE-2021-23362)
    * fixes  y18n Prototype Pollution (bsc#1184450, CVE-2020-7774)
  - CVE-2020-15095.patch, minimist.patch: obsoleted by above
* Tue Feb 23 2021 Adam Majer <adam.majer@suse.de>
  - CVE-2021-22884.patch: DNS rebinding in --inspect
    (CVE-2021-22884, bsc#1182620)
  - CVE-2021-22883.patch: only backport unit test to make sure
    we don't have regression here in the future.
* Mon Jan 11 2021 Adam Majer <adam.majer@suse.de>
  - CVE-2020-8287.patch: HTTP Request Smuggling allow two copies of a
    header field in a http request. For example, two Transfer-Encoding
    header fields. In this case Node.js identifies the first header
    field and ignores the second. This can lead to HTTP Request
    Smuggling (https://cwe.mitre.org/data/definitions/444.html).
    (bsc#1180554, CVE-2020-8287)
* Mon Nov 23 2020 Adam Majer <adam.majer@suse.de>
  - Update Requires: so -devel requires npm
  - Rely on rpmbuild to define necessary python dependencies
* Fri Oct 09 2020 Adam Majer <adam.majer@suse.de>
  - fix_ci_tests.patch: add support to SUSE's ECDH backport errors
    in SLE's openssl
* Thu Sep 24 2020 Adam Majer <adam.majer@suse.de>
  - CVE-2020-15095.patch: fix information leak through log files
    (bsc#1173937, CVE-2020-15095)
* Mon Aug 10 2020 Adam Majer <adam.majer@suse.de>
  - Explicitly add -fno-strict-aliasing to CFLAGS to fix compilation
    on Aarch64 with gcc10 (bsc#1172686)
* Tue Jul 28 2020 Dirk Mueller <dmueller@suse.com>
  - avoid rpmbuild warnings on if/else/endif constructs
* Tue Jun 09 2020 Adam Majer <adam.majer@suse.de>
  - Add Require for nodejs8 when intalling npm8 (bsc#1172728)
* Thu Jun 04 2020 Adam Majer <adam.majer@suse.de>
  - CVE-2020-8174.patch: napi: fix various types of memory corruption
    in napi_get_value_string_*() (CVE-2020-8174, bsc#1172443)
  - nghttp2_1.41.0.patch: deps: update nghttp2 to 1.41.0
  - CVE-2020-11080.patch: http2: fix HTTP/2 Large Settings Frame DoS
    (CVE-2020-11080, bsc#1172442)
  - minimist.patch: Fixes a vulnerability in an npm component
    (CVE-2020-7598, bsc#1166916)
* Mon May 04 2020 Adam Majer <adam.majer@suse.de>
  - Reduce Requires to Recommends on nodejs8-devel when installing npm8
* Tue Apr 07 2020 Michel Normand <normand@linux.vnet.ibm.com>
  - Update _constraints for ppc64 (BE)
* Fri Feb 07 2020 Adam Majer <adam.majer@suse.de>
  - CVE-2019-15604.patch: fixes a remotely triggerable assertion
    on a TLS server via a crafted certificate string
    (CVE-2019-15604, bsc#1163104)
  - CVE-2019-15605.patch: fixes an HTTP request smuggling vulnerability
    via malformed Transfer-Encoding header (CVE-2019-15605, bsc#1163102)
  - CVE-2019-15606.patch: trim HTTP header values of optional
    white space (CVE-2019-15606, bsc#1163103)
* Tue Jan 07 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update _constraints for aarch64
* Tue Jan 07 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Really disable LTO when required (nodejs < 12)
* Thu Dec 19 2019 Adam Majer <adam.majer@suse.de>
  - New upstream LTS release 8.17.0:
    * deps: updates npm to 6.13.4 fixing an arbitrary path overwrite
      and access via "bin" field (bsc#1159352, CVE-2019-16777,
      CVE-2019-16776, CVE-2019-16775)
  - refreshed: versioned.patch node-gyp-addon-gypi.patch
  - upstreamed: CVE-2019-13173.patch
* Thu Oct 24 2019 Adam Majer <adam.majer@suse.de>
  - New upstream LTS release 8.16.2:
    * deps: update OpenSSL to 1.0.2s
* Wed Oct 02 2019 Michel Normand <normand@linux.vnet.ibm.com>
  - Add _constraints for aarch64 & ppc64le to avoid build error
* Wed Sep 18 2019 Vítězslav Čížek <vcizek@suse.com>
  - Fix build with OpenSSL 1.1.1d (bsc#1149792)
    * https://github.com/nodejs/node/pull/29550
    * add fix_build_with_openssl_1.1.1d.patch
* Fri Aug 16 2019 Adam Majer <adam.majer@suse.de>
  - Update to 8.16.1:
    Security update regarding HTTP/2 Denial of Service vulnerabilities
    For details see,
    https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V12.md#12.8.1
    https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-002.md
    (CVE-2019-9511, CVE-2019-9512, CVE-2019-9513, CVE-2019-9514,
    bsc#1146091, bsc#1146099, bsc#1146094, bsc#1146095,
    CVE-2019-9515, CVE-2019-9516, CVE-2019-9517, CVE-2019-9518,
    bsc#1146100, bsc#1146090, bsc#1146097, bsc#1146093)
  - Changes in 8.16.0:
    * n-api:
      + add API for async functions
      + mark thread-safe functions as stable
* Fri Aug 09 2019 Adam Majer <adam.majer@suse.de>
  - npm_search_paths.patch: make sure that npm resolves its default
    config file like in all other versions, as /etc/nodejs/npmrc
    (bsc#1144919)
* Mon Jul 29 2019 Adam Majer <adam.majer@suse.de>
  - CVE-2019-13173.patch: fix potential file overwrite via hardlink
    in fstream.DirWriter() function (bsc#1140290, CVE-2019-13173)
* Tue May 07 2019 Adam Majer <adam.majer@suse.de>
  - openssl_1_1_1.patch: backport fixes for OpenSSL 1.1.1 (bsc#1134209)
* Thu Feb 28 2019 Adam Majer <adam.majer@suse.de>
  - New upstream LTS release 8.15.1:
    * http: Further prevention of "Slowloris" attacks on HTTP and HTTPS
    connections by consistently applying the receive timeout set by
    server.headersTimeout to connections in keep-alive mode.
    (CVE-2019-5737, bsc#1127532)
* Fri Feb 01 2019 adam.majer@suse.de
  - nodejs.keyring: update keyring to today's list as per
    https://github.com/nodejs/node
* Mon Jan 07 2019 adam.majer@suse.de
  - New upstream LTS release 8.15.0:
    * cli: add --max-http-header-size flag
    * http: add maxHeaderSize property
  - Changes in LTS release 8.14.1:
    * http2: fix sequence of error/close events
  - Changes in LTS release 8.14.0:
    * http:
      + Headers received by HTTP servers must not exceed 8192 bytes
      in total to prevent possible Denial of Service attacks.
      (CVE-2018-12121, bsc#1117626)
      + A timeout of 40 seconds now applies to servers receiving HTTP
      headers. This value can be adjusted with server.headersTimeout.
      Where headers are not completely received within this period,
      the socket is destroyed on the next received chunk. In
      conjunction with server.setTimeout(), this aids in protecting
      against excessive resource retention and possible
      Denial of Service. (CVE-2018-12122, bsc#1117627)
      + Two-byte characters are now strictly disallowed for the path
      option in HTTP client requests. Paths containing characters
      outside of the range \u0021 - \u00ff will now be rejected
      with a TypeError. This behavior can be reverted if necessary
      by supplying the --security-revert=CVE-2018-12116 command
      line argument (this is not recommended).
      (CVE-2018-12116, bsc#1117630)
    * url: Fix a bug that would allow a hostname being spoofed when
      parsing URLs with url.parse() with the 'javascript:' protocol.
      (CVE-2018-12123, bsc#1117629)
  - Changes in LTS release 8.13.0:
    * assert: backport some assert commits
    * deps:
      + upgrade to libuv 1.23.2
      + V8: cherry-pick 64-bit hash seed commits
    * http: added aborted property to request
    * http2: no longer experimental
      + bump dependency of nghttp2 to 1.34.0
  - fix_ci_tests.patch: Reduce timeout for test-http2-session-timeout
  - skip_test_on_lowmem.patch: skip test on low-memory build machine
  - env_shebang.patch: dropped in favour of programmatic update
* Mon Dec 24 2018 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Enable armv6 build
* Mon Nov 26 2018 adam.majer@suse.de
  - flaky_test_rerun.patch: Rerun failing tests in case of flakiness
* Fri Oct 05 2018 adam.majer@suse.de
  - fix_ci_tests.patch: fix unit tests
* Fri Sep 21 2018 adam.majer@suse.de
  - New upstream LTS release 8.12.0:
    * async_hooks:
      + rename PromiseWrap.parentId
      + remove runtime deprecation
      + deprecate unsafe emit{Before,After}
    * cluster:
      + add cwd to cluster.settings
      + support windowsHide option for workers
    * crypto: allow passing null as IV unless required
    * deps:
      + upgrade npm to 6.4.1
      + upgrade libuv to 1.19.2
      + Upgrade node-inspect to 1.11.5
    * fs, net:
      + support as and as+ flags in stringToFlags()
      + emit 'ready' for fs streams and sockets
    * http, http2:
      + add options to http.createServer()
      + add 103 Early Hints status code
      + add http fallback options to .createServer
    * n-api: take n-api out of experimental
    * perf_hooks: add warning when too many entries in the timeline
    * src:
      + add public API for managing NodePlatform
      + allow --perf-(basic-)?prof in NODE_OPTIONS
      + node internals' postmortem metadata
    * tls: expose Finished messages in TLSSocket
    * trace_events: add file pattern cli option
    * util: implement util.getSystemErrorName()
    icu_61_namespacefix.patch: upstreamed
    npm_search_paths.patch, versioned.patch, env_shebang.patch,
    fix_ci_tests.patch: refreshed
* Mon Aug 20 2018 adam.majer@suse.de
  - New upstream LTS release 8.11.4:
    * buffer: Fix out-of-bounds (OOB) write in Buffer.write() for
      UCS-2 encoding (CVE-2018-12115, bsc#1105019)
    * deps: Upgrade to OpenSSL 1.0.2p, fixing:
      + Client DoS due to large DH parameter
      (CVE-2018-0732, bsc#1097158)
      + ECDSA key extraction via local side-channel
* Sun Jul 29 2018 jengelh@inai.de
  - Ensure neutrality of description.
  - Use %make_install.
* Fri Jun 15 2018 adam.majer@suse.de
  - Recommend same major version npm package (bsc#1097748)
* Wed Jun 13 2018 adam.majer@suse.de
  - New upstream LTS release 8.11.3:
    * buffer: Fixes Denial of Service vulnerability where calling
      Buffer.fill() could hang (CVE-2018-7167, bsc#1097375)
    * http2:
      + Fixes Denial of Service vulnerability by updating the http2
      implementation to not crash under certain circumstances
      during cleanup (CVE-2018-7161, bsc#1097404)
      + Unbundled nghttp2 to fix Denial of Service vulnerability
      (CVE-2018-1000168, bsc#1097401)
* Thu May 24 2018 adam.majer@suse.de
  - env_shebang.patch: use absolute paths in executable shebang lines
  - versioned.patch: updated to move shebang modifications to above
    patch.
* Wed May 23 2018 adam.majer@suse.de
  - use gcc7 for SLE12
  - manual_configure.patch: configure nghttp2 correctly
* Wed May 16 2018 adam.majer@suse.de
  - New upstream LTS release 8.11.2:
    * deps:
      + update node-inspect to 1.11.3
      + update nghttp2 to 1.29.0
    * http2: Sync with current release stream
    * n-api: Sync with current release stream
  - versioned.patch: rebased
* Fri May 11 2018 adam.majer@suse.de
  - icu_61_namespacefix.patch: Fix building with ICU61.1 (bsc#1091764)
* Thu Apr 05 2018 adam.majer@suse.de
  - Install license with %license, not %doc (bsc#1082318)
* Wed Apr 04 2018 adam.majer@suse.de
  - Fix some node-gyp permissions
* Tue Apr 03 2018 adam.majer@suse.de
  - New upstream LTS release 8.11.1:
    * Security fixes:
      + Fix for inspector DNS rebinding vulnerability
      (bsc#1087463, CVE-2018-7160)
      + Fix for 'path' module regular expression denial of service
      (bsc#1087459, CVE-2018-7158)
      + Reject spaces in HTTP Content-Length header values
      (bsc#1087453, CVE-2018-7159)
    * deps: upgrade http-parser to v2.8.0
* Thu Mar 22 2018 adam.majer@suse.de
  - New upstream LTS release 8.10.0:
    * deps:
      + update V8 to 6.2.414.46
      + revert ABI breaking changes in V8 6.2
      + upgrade libuv to 1.19.1
      + re land npm 5.6.0
    * crypto:
      + Support both OpenSSL 1.1.0 and 1.0.2. This allows us to drop
      openssl11.patch
      + warn on invalid authentication tag length
    * async_hooks:
      + update defaultTriggerAsyncIdScope for perf
      + use typed array stack as fast path
      + use scope for defaultTriggerAsyncId
      + separate missing from default context
      + deprecate undocumented API
    * n-api: add helper for addons to get the event loop
    * cli: add --stack-trace-limit to NODE_OPTIONS
    * console: add support for console.debug
    * module:
      + add builtinModules
      + replace default paths in require.resolve()
    * src: add process.ppid
    * http:
      + support generic Duplex streams
      + add rawPacket in err of clientError event
      + better support for IPv6 addresses
    * tls: unconsume stream on destroy
    * process: improve unhandled rejection message
    * stream: remove usage of *State.highWaterMark
    * trace_events: add executionAsyncId to init events
  - remove any old manpage files in %pre from before update-alternatives
    were used to manage symlinks to these manpages.
  - versioned.patch: refreshed
* Tue Feb 13 2018 adam.majer@suse.de
  - Add Recommends and BuildRequire on python2 for npm. node-gyp
    requires this old version of python for now. This is only needed
    for binary modules.
* Wed Feb 07 2018 adam.majer@suse.de
  - Fix specfile typo
  - Use gcc7 on Leap 42.3
* Tue Jan 30 2018 ro@suse.de
  - even on recent codestreams there is no binutils gold on s390
    only on s390x
* Tue Jan 09 2018 adam.majer@suse.de
  - New upstream LTS release 8.9.4:
    * deps: update npm to 5.6.0
    * for complete changeset see
      https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V8.md#8.9.4
  - versioned.patch: refreshed
  - nodejs-sle11-python26-check_output.patch: refreshed
* Fri Dec 22 2017 adam.majer@suse.de
  - Enable CI tests in %check target
    + fix_ci_tests.patch:
    - DNS queries in buildroots are failing with EAI_AGAIN
    - disable test-module-loading-globalpaths.js - we have
      hardcoded global paths
    + versioned.patch: call versioned node binary for tests
    + openssl11.patch: fix OpenSSL 1.1 backport so all SSL tests pass
      instead of crashing in some situations.
  - node-gyp-addon-gypi.patch: fix typo allowing unit tests to compile
* Thu Dec 14 2017 adam.majer@suse.de
  - openssl11.patch: backport support for OpenSSL 1.1 (bnc#1066953)
  - Dropped 8334.diff - no longer needed
* Sat Dec 09 2017 qantas94heavy@gmail.com
  - New upstream LTS release 8.9.3:
    * buffer: buffers allocated with an invalid content will now be
      zero filled
      [ CVE-2017-15897, bnc#1072320 ]
    * deps/openssl: updated to 1.0.2n (bsc#1072322)
      [ CVE-2017-3738 CVE-2017-15896 ]
  - Changes in 8.9.2:
    * console: avoid adding infinite error listeners
    * http2: improve errors thrown in header validation
  - Remove unnecessary curl BuildRequires
  - Enable gold linker on s390x (TW and SLE/Leap 15)
  - Build with bundled ICU if system ICU not available (only applies
    to SLE 11/12 and Leap 42.x)
* Wed Nov 29 2017 qantas94heavy@gmail.com
  - Change BuildRequires from openssl-devel to libopenssl-1_0_0-devel
    due to Tumbleweed/Leap 15 change to OpenSSL 1.1.0 as default
* Thu Nov 16 2017 adam.majer@suse.de
  - Update nodejs.keyring based on current Release Team as found on
    https://github.com/nodejs/node#release-team
* Mon Nov 13 2017 adam.majer@suse.de
  - Fix permissions of node-gyp. This should be executable to allow
    building of binary node modules.
* Mon Nov 13 2017 adam.majer@suse.de
  - New upstream LTS version 8.9.1:
    * openssl: upgrade openssl sources to 1.0.2m
      [OpenSSL Security Advisory (bsc#1066242, bsc#1056058)
      CVE-2017-3735 CVE-2017-3736]
    * https: revert refactor to use http internals
  - Changes since 8.9.0 LTS version:
    * deps: update to npm 5.5.1
    * http2: The exposed http2 socket is no longer manipulatable
    * module: support custom paths to require.resolve()
    * util: util.TextEncoder and util.TextDecoder are no longer
      experimental. No longer produces a warning when using them.
  - versioned.patch: refreshed
  - 0f3e69db.patch icu59.patch: removed empty patches
* Thu Oct 26 2017 qantas94heavy@gmail.com
  - New upstream release 8.8.1:
    * net: Fix timeout with null handle issue. This is a regression
      in Node 8.8.0. (gh#nodejs/node#16489)
* Wed Oct 25 2017 qantas94heavy@gmail.com
  - New upstream release 8.8.0:
    * crypto: expose ECDH class (gh#nodejs/node#8188)
    * http2: (gh#nodejs/node#{15685,16269})
      + http2 is now exposed by default without the need for a flag
      + a new environment variable NODE_NO_HTTP2 has been added to
      allow userland http2 to be required
      + support has been added for generic Duplex streams
    * module: resolve and instantiate loader pipeline hooks have been
      added to the ESM lifecycle (gh#nodejs/node#15445)
    * zlib: (CVE-2017-14919: only affects TW) In zlib v1.2.9, a
      change was made that causes an exception to be thrown when a
      raw deflate stream is initialized with windowBits set to 8.
      Node.js will now gracefully set windowBits to 9 (replicating
      the legacy behavior) to avoid a DOS vector.
* Thu Oct 19 2017 adam.majer@suse.de
  - Make sure npm and npx programs remain executable
* Fri Oct 13 2017 adam.majer@suse.de
  - Replace {{node_version_major}} with RPM define %node_version_number
    for simpler spec file review.
* Fri Oct 13 2017 adam.majer@suse.de
  - New upstream version 8.7.0:
    * deps:
      + update npm to 5.4.2
      + update libuv 1.15.0
      + update V8 to 6.1.534.42
    * dgram: support for setting dgram socket buffer size
    * fs: add support O_DSYNC file open constant
    * util: deprecate obj.inspect for custom inspection
  - nodejs-libpath.patch
    versioned.patch: refreshed patches
* Wed Sep 27 2017 adam.majer@suse.de
  - New upstream version 8.6.0:
    * crypto: Support for multiple ECDH curves.
    * dgram:
      + Added setMulticastInterface() API
      + Custom lookup functions are now supported.
    * n-api: The command-line flag is no longer required to use N-API
    * tls: Docs-only deprecation of parseCertString().
    * path: fix normalize paths ending with two dots (CVE-2017-14849)
    * see https://nodejs.org/en/blog/release/v8.6.0/ for full
      changelog
* Wed Sep 13 2017 qantas94heavy@gmail.com
  - New upstream version 8.5.0:
    * build: Snapshots are now re-enabled in V8 (#14875)
    * console: Implement minimal console.group(). (#14910)
    * deps/libuv: upgraded to 1.14.1 (#14866)
    * deps/nghttp2: upgraded to 1.25.0 (#14955)
    * dns: Add "verbatim" option to dns.lookup(). When true, results
      from the DNS resolver are passed on as-is, without the
      reshuffling that Node.js otherwise does that puts IPv4
      addresses before IPv6 addresses. (#14731)
    * fs: add fs.copyFile and fs.copyFileSync which allows for more
      efficient copying of files. (#15034)
    * inspector: Enable async stack traces (#13870)
    * module: Add support for ESM. This is currently behind the
    - -experimental-modules flag and requires the .mjs extension.
      (#14369)
    * napi: implement promise (#14365)
    * os: Add support for CIDR notation to the output of the
      networkInterfaces() method. (#14307)
    * perf_hooks: An initial implementation of the Performance
      Timing API for Node.js. This is the same Performance Timing
      API implemented by modern browsers with a number of Node.js
      specific properties. The User Timing mark() and measure() APIs
      have also been implemented. (#14680)
    * tls: multiple PFX in createSecureContext (#14793)
  - Change compiler version used:
    * SLE 11 SP4: GCC 5
    * SLE 12 and Leap 42: GCC 6
    * Factory and SLE/Leap 15: default
* Sat Aug 19 2017 qantas94heavy@gmail.com
  - New upstream release 8.4.0
    * HTTP2: Experimental support for the built-in http2 module has
      been added via the --expose-http2 flag. (#14239)
    * Inspector:
      + require() is available in the inspector console now. (#8837)
      + Multiple contexts, as created by the vm module, are supported
      now. (#14465)
    * N-API: New APIs for creating number values have been
      introduced. (#14573)
    * Stream: For Duplex streams, the high water mark option can now
      be set independently for the readable and the writable side.
      (#14636)
    * Util: util.format now supports the %o and %O specifiers for
      printing objects. (#14558)
  - Changes in release 8.3.0
    * V8: The V8 engine has been upgraded to version 6.0, which has a
      significantly changed performance profile. (#14574)
    * DNS: Independent DNS resolver instances are supported now, with
      support for  cancelling the corresponding requests. (#14518)
    * N-API: Multiple N-API functions for error handling have been
      changed to support assigning error codes. (#13988)
    * REPL: Autocompletion support for require() has been improved.
      (#14409)
    * Utilities: The WHATWG Encoding Standard (TextDecoder and
      TextEncoder) has been implemented as an experimental feature.
      (#13644)
* Wed Aug 02 2017 adam.majer@suse.de
  - Fix update-alternative handling in %postun - don't remove
    links on upgrades.
* Thu Jul 27 2017 qantas94heavy@gmail.com
  - New upstream release 8.2.1
    * http: Writes no longer abort if the Socket is missing.
    * process, async_hooks: Avoid problems when triggerAsyncId is
      undefined.
    * zlib: Streams no longer attempt to process data when destroyed.
  - Changes in upstream release 8.2.0
    * async_hooks: Multiple improvements to Promise support in
    async_hooks have been made.
    * build: The compiler version requirement to build Node with GCC
    has been raised to GCC 4.9.4. [820b011ed6] #13466
    * cluster: Users now have more fine-grained control over the
    inspector port used by individual cluster workers. Previously,
    cluster workers were restricted to incrementing from the
    master's debug port. [dfc46e262a] #14140
    * dns:
    + The server used for DNS queries can now use a custom port.
      [ebe7bb29aa] #13723
    + Support for dns.resolveAny() has been added.
      [6e30e2558e] #13137
    * npm: The npm CLI has been updated to version 5.3.0. In
    particular, it now comes with the npx binary, which is also
    shipped with Node.
  - Modify versioned.patch:
    * Add support for new npx binary introduced in npm 5.3.0,
    versioned as `/usr/bin/npx8`.
* Wed Jul 12 2017 adam.majer@suse.de
  - New upstream release 8.1.4
    * v8: disable V8 snapshots. The hashseed embedded in the snapshot
      is currently the same for all runs of the binary. This opens
      node up to collision attacks which could result in a Denial
      of Service. We have temporarily disabled snapshots until a more
      robust solution is found. (bnc#1048299, CVE-2017-11499)
    * The c-ares function ares_parse_naptr_reply(), which is used for
      parsing NAPTR responses, could be triggered to read memory
      outside of the given input buffer if the passed in DNS response
      packet was crafted in a particular way.
      (CVE-2017-1000381, bnc#1044946)
* Fri Jul 07 2017 adam.majer@suse.de
  - Depend on nodejs-common that is then used to pick correctly
    versioned node or npm binary. This is required since 3rd party
    modules use `/usr/bin/env node` which breaks if multiple versions
    of NodeJS are installed at the same time and non-default version
    is used (for example, to compile a native module)
* Thu Jul 06 2017 adam.majer@suse.de
  - npm_search_paths.patch: Since concurrent installations are now
    possible, node manual pages are moved once again back under npm
    searcheable locations only.
  - versioned.patch: All files are now under versioned directoies
    and names. node and npm symlinks are now managed by
    update-alternatives
  - node-gyp-addon-gypi.patch: Reference versioned directories only
* Thu Jun 29 2017 adam.majer@suse.de
  - New upstream version 8.1.3
    * Stream regression fixed - The finish event will now always be
      emitted after the error event if one is emitted
    * Stream regression fixed - In object mode, readable streams can
      now use undefined again.
* Mon Jun 19 2017 adam.majer@suse.de
  - New upstream version 8.1.2
    * Release to fix broken process.release properties
* Wed Jun 14 2017 adam.majer@suse.de
  - New upstream version 8.1.1
    * Child processes - stdout and stderr are now available on the
      error output of a failed call to the util.promisify()ed version
      of child_process.exec.
    * HTTP - A regression that broke certain scenarios in which HTTP
      is used together with the cluster module has been fixed.
    * HTTPS - The rejectUnauthorized option now works properly for
      unix sockets.
    * Readline - A change that broke npm init and other code which
      uses readline multiple times on the same input stream is
      reverted.
* Tue Jun 13 2017 adam.majer@suse.de
  - Don't remove all src/ directories, as that breaks npm.
    (boo:#1043965)
  - Fix typo in node-gyp-addon-gypi.patch patch
  - New upstream version 8.1.0
    Notable changes,
    * Async Hooks - When one Promise leads to the creation of a new
      Promise, the parent Promise will be identified as the trigger
    * Dependencies
      + libuv has been updated to 1.12.0
      + npm has been updated to 5.0.3
    * File system
      + The fs.exists() function now works correctly with
      util.promisify()
      + fs.Stats times are now also available as numbers
    * Inspector
      + It is now possible to bind to a random port using --inspect=0
    * Zlib
      + A regression in the Zlib module that made it impossible to
      properly subclasses zlib.Deflate and other Zlib classes has
      been fixed.
* Wed May 31 2017 adam.majer@suse.de
  - Branch nodejs7 -> nodejs8, the new current and eventually LTS
    upstream branch. Note that the LTS lifespan for 8.x will end on
    December 31st, 2019 unless extended at a later date.
  - New upstream version 8.0.0. Notable changes
    * Async Hooks - now in core
    * Buffer
      + Using the --pending-deprecation flag will cause Node.js to
      emit a deprecation warning when using new Buffer(num) or
      Buffer(num).
      + new Buffer(num) and Buffer(num) will zero-fill new Buffer
      + Many Buffer methods now accept Uint8Array as input
    * Child Process
      + Argument and kill signal validations have been improved
      + Child Process methods accept Uint8Array as input
    * Console
      + Error events emitted when using console methods are now
      supressed.
    * Dependencies
      + The npm client has been updated to 5.0.0
      + V8 has been updated to 5.8 with forward ABI stability to 6.0
    * Domains
      + Native Promise instances are now Domain aware
    * Errors
      + We have started assigning static error codes to errors
      generated by Node.js. This has been done through multiple
      commits and is still a work in progress.
    * File System
      + The utility class fs.SyncWriteStream has been deprecated
      + The deprecated fs.read() string interface has been removed
    * HTTP
      + Improved support for userland implemented Agents
      + Outgoing Cookie headers are concatenated into a single string
      + The httpResponse.writeHeader() method has been deprecated
      + New methods for accessing HTTP headers have been added to
      OutgoingMessage
    * lib
      + All deprecation messages have been assigned static identifiers
      + The legacy linkedlist module has been removed
    * N-API
      + Experimental support for the new N-API API has been added
    * Process
      + Process warning output can be redirected to a file using the
    - -redirect-warnings command-line argument
      + Process warnings may now include additional detail
    * REPL
      + REPL magic mode has been deprecated
    * src
      + NODE_MODULE_VERSION has been updated to 57
      + Add --pending-deprecation command-line argument and
      NODE_PENDING_DEPRECATION environment variable
      + The --debug command-line argument has been deprecated.
      Note that using --debug will enable the new Inspector-based
      debug protocol as the legacy Debugger protocol previously
      used by Node.js has been removed.
      + Throw when the -c and -e command-line arguments are used
      at the same time
      + Throw when the --use-bundled-ca and --use-openssl-ca
      command-line arguments are used at the same time.
    * Stream
      + Stream now supports destroy() and _destroy() APIs
      + Stream now supports the _final() API
    * TLS
      + The rejectUnauthorized option now defaults to true
      + The tls.createSecurePair() API now emits runtime deprecation
      + A runtime deprecation will now be emitted when dhparam is
      less than 2048 bits
    * URL
      + The WHATWG URL implementation is now a fully-supported API
    * Util
      + Symbol keys are now displayed by default when using
      util.inspect()
      + toJSON errors will be thrown when formatting %j
      + Convert inspect.styles and inspect.colors to prototype-less
      objects
      + The new util.promisify() API has been added
    * Zlib
      + Support Uint8Array in Zlib convenience methods
      + Zlib errors now use RangeError and TypeError consistently
  - node-gyp-addon-gypi.patch: refresh
  - placeholders from other NodeJS version: 0f3e69db.patch, icu59.patch.
* Tue May 30 2017 adam.majer@suse.de
  - 0f3e69db.patch: placeholder for GCC 7 compilation fixes, already
    upstreamed.
* Tue May 23 2017 adam.majer@suse.de
  - New upstream version 7.10.0
    * crypto: add randomFill and randomFillSync
    * meta: Added new collaborators
    * process: fix crash when Promise rejection is a Symbol
    * url: make WHATWG URL more spec compliant
    * v8:
      + fix stack overflow in recursive method
      + fix build errors with g++ 7
  - New upstream version 7.9.0
    * util: console is now closer to what is supported in all
      major browsers
* Wed Mar 29 2017 qantas94heavy@gmail.com
  - New upstream release 7.8.0
    * buffer: do not segfault on out-of-range index (#11927)
    * crypto: fix memory leak if certificate is revoked (#12089)
    * deps/npm: upgrade npm to 4.2.0 (#11389)
    * deps/V8: fix async await desugaring in V8 (#12004)
    * readline: add option to stop duplicates in history (#2982)
* Wed Mar 22 2017 qantas94heavy@gmail.com
  - New upstream release 7.7.4
    * deps: upgraded internal node-inspect version to 1.10.6,
      containing several fixes
    * inspector: use proper WebSockets URLs when bound to 0.0.0.0
    * tls: fixed a segfault when the handle was destroyed after a
      partial read
  - Changes in release 7.7.3
    * net: Socket.prototype.connect now once again functions without
      a callback
    * url: URL.prototype.origin now properly specified an opaque
      return of 'null' for file:// URLs
  - Changes in release 7.7.2
    * tty: add ref() so process.stdin.ref() etc. work
    * util: fix inspecting symbol key in string
  - Rebased nodejs-libpath.patch for minor changes in new version
* Sat Mar 04 2017 qantas94heavy@gmail.com
  - New upstream release 7.7.1
    * Fixes bug that prevented all native modules from building
  - Changes in release 7.7.0
    * child_process: spawnSync() exit code now is null when the child
      is killed via signal
    * crypto: adding support for OPENSSL_CONF again
    * doc: items in the API documentation may now have changelogs
    * http: new functions to access the headers for an outgoing HTTP
      message
    * lib: deprecate node --debug at runtime
    * src: adding support for trace-event tracing
    * tls: new tls.TLSSocket() supports sec ctx options
    * url: adding URL.prototype.toJSON support
* Sun Feb 26 2017 qantas94heavy@gmail.com
  - New upstream release 7.6.0
    * crypto: remove expired certs from CNNIC whitelist
    * deps: update V8 to 5.5
    * deps: upgrade libuv to 1.11.0
    * deps: add node-inspect 1.10.4
    * deps: upgrade zlib to 1.2.11
    * fs: allow WHATWG URL objects as paths
    * inspector: add --inspect-brk
    * lib: build "node inspect" into node
    * src: support UTF-8 in compiled-in JS source file
    * url: extend url.format to support WHATWG URL
* Fri Feb 03 2017 adam.majer@suse.de
  - New upstream release 7.5.0
    * crypto: crypto store source selection available at runtime.
      Default is to use system CA store managed by OpenSSL library.
    * deps:
      + upgrade npm to 4.1.2
      + upgrade bunbled OpenSSL to 1.0.2k.
    * doc: add basic documentation for WHATWG URL API
    * process: add NODE_NO_WARNINGS environment variable
    * url: allow use of URL with http.request and https.request
  - removed 10657.patch - upstreamed
  - 8334.diff is now an empty patch, upstreamed.
* Mon Jan 09 2017 qantas94heavy@gmail.com
  - New upstream release 7.4.0
    * buffer: improve performance of Buffer allocation by ~11%
    * buffer: improve performance of Buffer.from() by ~50%
    * deps/npm: upgrade to v4.0.5
    * events: improve performance of EventEmitter.once() by ~27%
    * fs: allow passing Uint8Array to fs methods where Buffers are
      supported
    * http: improve performance of http server by ~7%
  - New patch 10657.patch
    * Fixes build error caused by attempt to use bundled zlib
  - Refresh 8334.diff
* Fri Jan 06 2017 qantas94heavy@gmail.com
  - Add basic check that Node.js loads successfully to spec file
* Thu Dec 29 2016 adam.majer@suse.de
  - New upstream release 7.3.0
    * buffer: buffer.fill() now works properly for the UCS2 encoding
      on Big-Endian machines.
    * cluster: disconnect() now returns a reference to the
      disconnected worker.
    * http: Remove stale timeout listeners in order to prevent a
      memory leak when using keep alive.
    * tls: Allow obvious key/passphrase combinations.
    * url:
      + Including base argument in URL.originFor() to meet
      specification compliance.
      + Improve URLSearchParams to meet specification compliance.
  - 8334.diff: refreshed.
* Fri Dec 09 2016 qantas94heavy@gmail.com
  - New upstream release 7.2.1
    * buffer: reverted the runtime deprecation of calling Buffer()
      without new
    * buffer: fixed buffer.transcode() for single-byte character
      encodings to UCS2
    * deps/npm: upgrade npm to 3.10.10
    * deps/V8: fixed a significant instanceof performance regression
    * promise: --trace-warnings now produces useful stacktraces for
      Promise warnings
    * repl: fixed a bug preventing correct parsing of generator
      functions
* Fri Dec 02 2016 adam.majer@suse.de
  - Update to upstream release 7.2.0
    * crypto: The Decipher methods setAuthTag() and setAAD now return
      this.
    * dns: Implemented {ttl: true} for resolve4() and resolve6()
    * libuv: Upgrade to v1.10.1
    * process: Added a new external property to the data returned
      by memoryUsage()
    * tls: Fixed a memory leak when writes were queued on TLS
      connection that was destroyed during handshake.
    * V8 (dep): Upgrade to v5.4.500.43
    * v8: The data returned by getHeapStatistics() now includes three
      new fields: malloced_memory, peak_malloced_memory, and
      does_zap_garbage.
    * for complete changelog, see
      https://nodejs.org/en/blog/release/v7.2.0/
  - 8334.diff: ported and updated system CA store for the new node
    crypto code.
* Wed Nov 23 2016 adam.majer@suse.de
  - Add missing conflicts to base package. It's not possible to have
    concurrent nodejs installations.
* Fri Nov 18 2016 adam.majer@suse.de
  - Package unification across various branches of NodeJS. Package
    for 4.x, 6.x and current (7.x) branches of NodeJS are now
    handled via GitHub repository.
  - New upstream release 7.1.0 - branch as new nodejs7 package.
    * buffer:
      + Passing invalid input to Buffer.byteLength will now
      throw an error
      + Calling Buffer without new is now deprecated and will emit a
      process warning
      + Passing a negative number to allocUnsafe will now throw an
      error
      + add buffer.transcode to transcode a buffer's content from one
      encoding to another primarily using ICU
    * child process:
      + The fork and execFile methods now have stronger argument
      validation
      + add public API for IPC channel
    * cluster:
      + The worker.suicide method is deprecated and will emit a process
    * deps:
      + V8 has been updated to 5.4.500.36
      + NODE_MODULE_VERSION has been updated to 51
    * File System:
      + A process warning is emitted if a callback is not passed to
      async file system methods
    * Promises:
      + Unhandled Promise rejections have been deprecated and will
      emit a process warning
    * The punycode module has been deprecated
    * add NODE_PRESERVE_SYMLINKS environment variable that has the
      same effect as the --preserve-symlinks flag
    * url: An Experimental WHATWG URL Parser has been introduced
* Thu Oct 20 2016 qantas94heavy@gmail.com
  - New upstream release 6.9.1
    * streams:
      + Fix a regression introduced in v6.8.0 in readable stream
      that caused unpipe to remove the wrong stream.
* Wed Oct 19 2016 qantas94heavy@gmail.com
  - new upstream release 6.9.0
    * crypto: (N/A: not compiled with FIPS support on openSUSE/SLE)
      + Don't automatically attempt to load an OpenSSL configuration
      file, from the OPENSSL_CONF environment variable or from the
      default location for the current platform.  Always triggering a
      configuration file load attempt may allow an attacker to load
      compromised OpenSSL configuration into a Node.js process if they
      are able to place a file in a default location.
    * node:
      + Introduce the `process.release.lts` property, set to "Boron".
      This value is "Argon" for v4 LTS releases and undefined for all
      other releases.
    * V8:
      + CVE-2016-5172/bsc#998743: Backport fix for an arbitrary memory
      read.  The parser in V8 mishandled scopes, potentially allowing
      an attacker to obtain sensitive information from arbitrary memory
      locations via crafted JavaScript code.  This vulnerability would
      require an attacker to be able to execute arbitrary JavaScript
      code in a Node.js process.
    * v8_inspector:
      + Generate a UUID for each execution of the inspector.  This
      provides additional security to prevent unauthorized clients from
      connecting to the Node.js process via the v8_inspector port when
      running with --inspect. Since the debugging protocol allows
      extensive access to the internals of a running process, and the
      execution of arbitrary code, it is important to limit connections
      to authorized tools only.
  - refresh patches
* Thu Sep 29 2016 qantas94heavy@gmail.com
  - Fix incorrect SHASUMS256.txt.asc file that prevented package update
    being accepted into Factory
* Wed Sep 28 2016 adam.majer@suse.de
  - enable usage of system certificate store on SLE11SP4 by
    requiring openssl1 (boo#1000036)
  - new upstream version 6.7.0
    * openssl update (not applicable for SLE12SP2, Leap 42.2 and later)
      + upgrade to 1.0.2j (CVE-2016-6304, CVE-2016-2183, CVE-2016-2178,
      CVE-2016-6306, CVE-2016-7052)
      + remove support for dynamic 3rd party engine modules
    * http: Properly validate for allowable characters in input
      user data. This introduces a new case where throw may occur
      when configuring HTTP responses, users should already
      be adopting try/catch here. (CVE-2016-5325, bnc#985201)
    * tls: properly validate wildcard certificates
      (CVE-2016-7099, bnc#1001652)
    * v8: Fix regression where a regex on a frozen object was broken
    * buffer: Zero-fill excess bytes in new Buffer objects created
      with Buffer.concat()
    * src: Fix regression where passing an empty password and/or
      salt to crypto.pbkdf2() would cause a fatal error
* Fri Sep 16 2016 adam.majer@suse.de
  - new upstream version 6.6.0
    * crypto: Added crypto.timingSafeEqual()
    * events: Made the "max event listeners" memory leak
      warning more accessible
    * promises: Unhandled rejections now emit a process warning
      after the first tick
    * repl: Added auto alignment for .editor mode
    * util: Some functionality has been added to util.inspect()
      + Returning this from a custom inspect function now works
      + Added support for Symbol-based custom inspection methods
* Thu Sep 01 2016 adam.majer@suse.de
  - new upstream version 6.5.0
    * buffer: Fix regression introduced in v6.4.0 that prevented
      .write() at buffer end
    * deps: update V8 to 5.1.281.75
    * inspector:
      + fix inspector hang while disconnecting
      + add support for uncaught exception
    * repl: Fix saving editor mode text in .save
    * Revert "repl,util: insert carriage returns in output"
* Wed Aug 31 2016 adam.majer@suse.de
  - 8334.diff - https://github.com/nodejs/node/pull/8334
    * use system CA store instead of one provided by Node
* Fri Aug 19 2016 adam.majer@suse.de
  - new upstream version 6.4.0
    * child_process, cluster: Forked child processes and cluster
      workers now support stdio configuration.
    * child_process: argv[0] can now be set to arbitrary values in
      spawned processes.
    * fs: fs.ReadStream now exposes the number of bytes it has read
    * repl: The REPL now supports editor mode.
    * util: inspect() can now be configured globally using
      util.inspect.defaultOptions
* Thu Aug 11 2016 adam.majer@suse.de
  - Use distutils.sysconfig to get build parameters fixing
    compilation on SLE11SP4
* Fri Jul 29 2016 adam.majer@suse.de
  - new upstream version 6.3.1
    * buffer: Improve performance of Buffer.from(str, 'hex') and
      Buffer#write(str, 'hex')
    * buffer: Fix creating from zero-length ArrayBuffer
    * Backport V8 instanceof bugfix and update to V8 5.0.71.xx
    * repl: Fix issue with function redeclaration.
    * util: Fix inspecting of boxed symbols.
  - 7569.diff - removed, upstreamed
  - SHASUM256.txt - added empty file so that gpg check is run
    on the SHASUM256.txt.asc, which is not a detached signature
* Fri Jul 15 2016 astieger@suse.com
  - obsolete remove gpg-offline / %gpg_verify
* Wed Jul 13 2016 adam.majer@suse.de
  - Use OpenSSL supplied with Leap 42.2 and SLE12 SP2 instead of
    bundled version.
* Thu Jul 07 2016 adam.majer@suse.de
  - new upstream version 6.3.0
    * buffer: Added buffer.swap64() to compliment swap16() & swap32()
    * crypto: Root certificates have been updated.
    * debugger: The server address is now configurable via
    - -debug=<address>:<port>
    * npm: Upgraded npm to v3.10.3
    * readline: Added the `prompt` option to the readline constructor.
    * repl / vm: `sigint`/`ctrl+c` will now break out of infinite loops
      without stopping the Node.js instance.
    * added support for v8_inspector (node --inspect)
  - since we can, build NodeJS shared library.
  - refreshed patches:
    * support-arm64-build.patch
    * nodejs-libpath.patch
    * npm_search_paths.patch
  - 7569.diff:
    * Add upstream PR: #7569 to fix build failure with shared OpenSSL and
      v8_inspector enabled
* Tue Jul 05 2016 toddrme2178@gmail.com
  - Fix Group tag.
* Mon Jul 04 2016 adam.majer@suse.de
  - new upstream version 6.2.2
    * http:
      + req.read(0) could cause incoming connections to stall and
      time out under certain conditions. (Fedor Indutny)
      + When freeing the socket to be reused in keep-alive Agent
      wait for both prefinish and end events. Otherwise the next
      request may be written before the previous one has finished
      sending the body, leading to a parser errors. (Fedor Indutny)
    * npm: upgrade npm to 3.9.5 (Kat Marchán)
  - use build_cond to to manage configure parameters, instead of
    having duplicate suse_version ifs
  - fix permission issues with some installed files
  - move fdups to end of install section to make sure we don't end up
    with dangling symlinks
  - rpm cannot handle more than one level of parenthesis, hence
    Conflict: otherproviders(npm), not otherproviders(npm(npm)) as the
    second version has no desired effect
  - we should no longer need to explicitly set ARCH values - configure
    should deal with this properly
  - verify upstream tarball integrity cryptographically
  - patch changes:
    * nodejs-libpath.patch split into two, nodejs-libpath.patch that
      applies on default and nodejs-libpath64.patch that applies on top
      for 64-bit arches
    * support-arm64-build.patch refreshed
    * npm_search_paths.patch:
      + search for manpages in paths were we installed them
      + install modules into /usr/local prefix
      + search for config files under /etc/nodejs
* Tue Jun 14 2016 adam.majer@suse.de
  - Search for node modules under /usr/lib{,64}/node_modules and not
    a non-owned path of /usr/lib{,64}/node
* Mon Jun 06 2016 adam.majer@suse.de
  - uppdate version 6.2.1
    * buffer: Ignore negative lengths in calls to Buffer() and
      Buffer.allocUnsafe().
    * npm: Upgrade npm to 3.9.3
    * V8: Upgrade to V8 5.0.71.52.
  - update to version 6.2.0
    * buffer: fix lastIndexOf and indexOf in various edge cases
    * src,module: add --preserve-symlinks command line flag
    * util: adhere to noDeprecation set at runtime
  - refresh support-arm64-build.patch
    * `configure` bits incorporated upstream
  - refresh addon-rpm.gypi
* Fri May 13 2016 qantas94heavy@gmail.com
  - update version 6.1.0
    * assert: deep{Strict}Equal() now works correctly with circular references.
    * debugger: Arrays are now formatted correctly in the debugger repl.
    * deps: Upgrade OpenSSL sources to 1.0.2h.
    * net: Introduced a Socket#connecting property. Previously this information
      was only available as the undocumented, internal _connecting property.
    * process: Introduced process.cpuUsage().
    * stream: Writable#setDefaultEncoding() now returns this.
    * util: Two new additions to util.inspect():
      + Added a maxArrayLength option to truncate the formatting of Arrays.
      This is set to 100 by default.
      + Added a showProxy option for formatting proxy intercepting handlers.
      Inspecting proxies is non-trivial and as such this is off by default.
* Sun Mar 27 2016 i@marguerite.su
  - update version 5.9.1
    * buffer: Now properly throws RangeErrors on out-of-bounds writes
      This effects write{Float|Double} when the noAssert option is
      not used.
    * timers: Returned timeout objects now have a Timeout constructor
      name. Performance of Immediate processing is now ~20-40% faster
    * vm: Fixed a contextify regression introduced in v5.9.0
* Tue Feb 23 2016 i@marguerite.su
  - update version 5.7.0
    + buffer:
    * You can now supply an encoding argument when filling a Buffer
      Buffer#fill(string[, start[, end]][, encoding]), supplying an
      existing Buffer will also work with
      Buffer#fill(buffer[, start[, end]]). See the API documentation
      for details on how this works.
    * Buffer#indexOf() no longer requires a byteOffset argument if
      you also wish to specify an encoding:
      Buffer#indexOf(val[, byteOffset][, encoding]).
    + child_process:
    * spawn() and spawnSync() now support a 'shell' option to allow
      for optional execution of the given command inside a shell. If
      set to true, cmd.exe will be used on Windows and /bin/sh elsewhere.
      A path to a custom shell can also be passed to override these
      defaults. On Windows, this option allows .bat. and .cmd files to
      be executed with spawn() and spawnSync().
    + http_parser:
    * Update to http-parser 2.6.2 to fix an unintentionally strict
      limitation of allowable header characters
    + dgram:
    * socket.send() now supports accepts an array of Buffers or
      Strings as the first argument. See the API docs for details on
      how this works.
    + http:
    * Fix a bug where handling headers will mistakenly trigger an
      'upgrade' event where the server is just advertising its
      protocols. This bug can prevent HTTP clients from communicating
      with HTTP/2 enabled servers.
    + net:
    * Added a listening Boolean property to net and http servers to
      indicate whether the server is listening for connections.
    + node:
    * The C++ node::MakeCallback() API is now reentrant and calling
      it from inside another MakeCallback() call no longer causes the
      nextTick queue or Promises microtask queue to be processed out
      of order.
    + tls:
    * Add a new tlsSocket.getProtocol() method to get the negotiated
      TLS protocol version of the current connection.
    + vm:
    * Introduce new 'produceCachedData' and 'cachedData' options to
      new vm.Script() to interact with V8's code cache. When a new
      vm.Script object is created with the 'produceCachedData' set to
      true a Buffer with V8's code cache data will be produced and
      stored in cachedData property of the returned object. This data
      in turn may be supplied back to another vm.Script() object with
      a 'cachedData' option if the supplied source is the same.
      Successfully executing a script from cached data can speed up
      instantiation time. See the API docs for details.
    + performance: Improvements in:
    * process.nextTick()
    * path module
    * querystring module
    * streams module when processing small chunks
  - rework nodejs-libpath.patch
* Fri Feb 19 2016 i@marguerite.su
  - update version 5.6.0
    * http: fix defects in HTTP header parsing for requests and
      responses that can allow request smuggling (CVE-2016-2086)
      (boo#966077) or response splitting (CVE-2016-2216 boo#966076)
      HTTP header parsing now aligns more closely with the HTTP spec
      including restricting the acceptable characters.
    * http-parser: upgrade from 2.6.0 to 2.6.1
    * npm: upgrade npm from 3.3.12 to 3.6.0
    * openssl: upgrade from 1.0.2e to 1.0.2f. To mitigate against
      the Logjam attack, TLS clients now reject Diffie-Hellman
      handshakes with parameters shorter than 1024-bits, up from
      the previous limit of 768-bits.
  - changes in version 5.5.0
    * events: make sure console functions exist
    * fs: add autoClose option to fs.createWriteStream
    * http: improves expect header handling
    * node: allow preload modules with -i
    * v8,src: expose statistics about heap spaces
      (v8.getHeapSpaceStatistics())
    * Minor performance improvements:
      + lib: Use arrow functions instead of bind where possible
      + module: cache stat() results more aggressively
      + querystring: improve parse() performance
  - merge patch: nodejs-libpath.patch and nodejs-lib64path.patch
* Wed Jan 20 2016 i@marguerite.su
  - update version 5.4.1
    * Minor performance improvements:
      + module: move unnecessary work for early return
    * Various bug fixes
    * Various doc fixes
    * Various test improvements
  - fix boo#962297: online update breaks nodejs-npm dependency
* Sat Jan 09 2016 i@marguerite.su
  - update version 5.4.0
    * http:
      + A new status code was added: 451 - "Unavailable For Legal Reasons"
      + Idle sockets that have been kept alive now handle errors
    * minor performance improvements:
      + assert: deepEqual is now speedier when comparing TypedArrays
      + lib: Use arrow functions instead of bind where possible
      + node: Improved accessor perf of process.env
      + node: Improved performance of process.hrtime()
      + node: Improved GetActiveHandles performance
      + util: Use faster iteration in util.format()
  - fix boo#961254:
    * common.gypi should install at /usr/share/node, which is now
      in /usr/lib64/node_modules/npm/node_modules/node-gyp
    * node-gyp requires nodejs-devel which contains v8.h and others
      so npm sub-package should require nodejs-devel
* Tue Dec 29 2015 i@marguerite.su
  - fix boo#955142: SLES11 compliance of build process
    * usage of g++ 4.8 needs to be specified on SLES11
    * python 2.6 does not include the check_output method
      used in the configure script. We need to patch it
      into the script
  - add patch: nodejs-sle11-python26-check_output.patch
  - adjust packaging method for nodejs-doc
    * %{_docdir} will be recreated anyway when *.md is
      added through %doc macro, so we can't install doc/api
      in %install section on sle11
  - adjust packaging method for nodejs_sitelib
    * "install -d" won't work on sle11 for %{_libexecdir},
      replace with "mkdir -p"
* Fri Dec 25 2015 i@marguerite.su
  - update version 5.3.0
    * buffer: Buffer.prototype.includes() has been added to keep
      parity with TypedArrays
    * domains: Fix handling of uncaught exceptions
    * https: Added support for disabling session caching
    * repl: Allow third party modules to be imported using require()
    * deps: Upgrade libuv to 1.8.0
  - as npm was dropped from factory/d:l:nodejs, we rename nodejs-npm
    to npm because there's only one npm package existing (there's
    another one in 13.2 only, but we can upgrade it smoothly through
    newer version we provide
  - fix boo#948045 again: Nodejs 4.0 rpm does not install addon-rpm.gypi
    * I copied codes from old specfile, which installed nodejs modules
      into /usr/share/node, while I splitted that directory into devel
      package. so common.gypi and addon-rpm.gypi were not in npm package
      at all!
  - nodejs >= 5.2.0 needs binutils-gold to build (github issue #4212)
* Wed Dec 16 2015 qantas94heavy@gmail.com
  - update to 4.2.3
    * http: Fix a bug where an HTTP socket may no longer have a socket
      but a pipelined request triggers a pause or resume, a potential
      denial-of-service vector
    * openssl: Upgrade to 1.0.2e, containing fixes for:
      + CVE-2015-3193 (boo#957814) "BN_mod_exp may produce incorrect
      results on x86_64", an attack is considered feasible against a
      Node.js TLS server using DHE key exchange
      + CVE-2015-3194 (boo#957815) "Certificate verify crash with missing
      PSS parameter", a potential denial-of-service vector for Node.js
      TLS servers; TLS clients are also impacted
    * v8: Backport fixes for a bug in JSON.stringify() that can result in
      out-of-bounds reads for arrays.
* Fri Nov 13 2015 mimi.vx@gmail.com
  - update to 4.2.2
    * buffer: fix value check for writeUInt{B,L}E
    * buffer: don't CHECK on zero-sized realloc
    * deps: backport 010897c from V8 upstream
    * deps: backport 8d6a228 from the v8's upstream
    * fs: reduced duplicate code in fs.write()
    * http: fix stalled pipeline bug
    * lib: fix cluster handle leak
    * lib: avoid REPL exit on completion error
    * repl: handle comments properly
    * repl: limit persistent history correctly on load
    * src: fix race condition in debug signal on exit
    * src: fix exception message encoding on Windows
    * stream: avoid unnecessary concat of a single buffer
    * Timers: reuse timer in setTimeout().unref()
    * tls: TLSSocket options default isServer false
* Sat Oct 17 2015 i@marguerite.su
  - fixed boo#948602/CVE-2015-7384:
    * nodejs: HTTP Denial of Service Vulnerability
  - drop nodejs-no-fips.patch, upstreamed
  - update to 4.2.1
    * Includes fixes for two regressions
      + Assertion error in WeakCallback
      + Undefined timeout regression
  - changes in 4.2.0
    * icu: Updated to version 56 with significant performance
      improvements
    * node:
      + Added new -c (or --check) command line argument for checking
      script syntax without executing the code
      + Added process.versions.icu to hold the current ICU library
      version
      + Added process.release.lts to hold the current LTS codename
      when the binary is from an active LTS release line
    * npm: Upgraded to npm 2.14.7 from 2.14.4
  - changes in 4.1.2
    * http:
      + Fix out-of-order 'finish' event bug in pipelining that can
      abort execution, fixes DoS vulnerability CVE-2015-7384
      + Account for pending response data instead of just the data
      on the current request to decide whether pause the socket
      or not
      + libuv: Upgraded from v1.7.4 to v1.7.5
      + Improved AIX support
    * v8:
      + Upgraded from v4.5.103.33 to v4.5.103.35
      + Backported f782159 from v8's upstream to help speed up Promise
      introspection
      + Backported c281c15 from v8's upstream to add JSTypedArray
      length in post-mortem metadata
  - changes in 4.1.1
    * buffer: Fixed a bug introduced in v4.1.0 where allocating a new
      zero-length buffer can result in the next allocation of a
      TypedArray in JavaScript not being zero-filled. In certain
      circumstances this could result in data leakage via reuse of
      memory space in TypedArrays, breaking the normally safe assumption
      that TypedArrays should be always zero-filled.
    * http: Guard against response-splitting of HTTP trailing headers
      added via response.addTrailers() by removing new-line ([\r\n])
      characters from values. Note that standard header values are
      already stripped of new-line characters. The expected security
      impact is low because trailing headers are rarely used.
    * npm:
      + Upgrade to npm 2.14.4 from 2.14.3
      + Upgrades graceful-fs on multiple dependencies to no longer
      rely on monkey-patching fs
      + Fix npm link for pre-release / RC builds of Node
    * v8:
      + Update post-mortem metadata to allow post-mortem debugging
      tools to find and inspect:
      + JavaScript objects that use dictionary properties ScopeInfo
      and thus closures
  - changes in 4.1.0
    * buffer:
      + Buffers are now created in JavaScript, rather than C++.
      This increases the speed of buffer creation
      + Buffer#slice() now uses Uint8Array#subarray() internally,
      increasing slice() performance
    * fs:
      + fs.utimes() now properly converts numeric strings, NaN,
      and Infinity
      + fs.WriteStream now implements _writev, allowing for
      super-fast bulk writes
    * http: Fixed an issue with certain write() sizes causing errors
      when using http.request()
    * npm: Upgrade to version 2.14.3
    * src: V8 cpu profiling no longer erroneously shows idle time
    * timers: #ref() and #unref() now return the timer they belong to
    * v8: Lateral upgrade to 4.5.103.33 from 4.5.103.30, contains minor
      fixes. This fixes a previously known bug where some computed
      object shorthand properties did not work correctly.
* Fri Oct 02 2015 develop7@develop7.info
  - replace node-no-fips.patch with upstream fix
* Fri Oct 02 2015 i@marguerite.su
  - fix build by using internal openssl for openSUSE <= 1320
    which didn't provide openssl 1.0.2
  - install missing addon-rpm.gypi (boo#948045)
* Tue Sep 29 2015 meissner@suse.com
  - Do not force enable FIPS mode. bsc#947747
* Sat Sep 12 2015 i@marguerite.su
  - update to 4.0.0
    * child_process: ChildProcess.prototype.send() and process.send()
      operate asynchronously across all platforms so an optional
      callback parameter has been introduced that will be invoked once
      the message has been sent.
    * node: Rename "io.js" code to "Node.js".
    * node-gyp: This release bundles an updated version of node-gyp
      that works with all versions of Node.js and io.js including
      nightly and release candidate builds. From io.js v3 and Node.js
      v4 onward, it will only download a headers tarball when building
      addons rather than the entire source.
    * npm: Upgrade to version 2.14.2 from 2.13.3, includes a security
      update.
    * timers: Improved timer performance from porting the 0.12
      implementation, plus minor fixes.
    * util: The util.is*() functions have been deprecated, beginning
      with deprecation warnings in the documentation for this release,
      users are encouraged to seek more robust alternatives in the
      npm registry.
    * v8: Upgrade to version 4.5.103.30 from 4.4.63.30
      + Implement new TypedArray prototype methods: copyWithin(),
      every(), fill(), filter(), find(), findIndex(), forEach(),
      indexOf(), join(), lastIndexOf(), map(), reduce(),
      reduceRight(), reverse(), slice(), some(), sort().
      + Implement new TypedArray.from() and TypedArray.of() functions.
      + Implement arrow functions
  - drop nodejs-openssl-missing-api.patch: it's for 0.9.8.
  - ppc/ppc64(le) is natively supported since nodejs 3.0.0.
    so drop nodejs-v0.12.7-release-ppc.patch.bz2
  - drop node-gcc5.patch, upstream fixed
  - add nodejs-lib64path.patch, adjust libdir
  - add nodejs-libpath.patch, adjust libdir
  - add node-gyp-addon-gypi.patch
    * use custom addon.gypi by default instead of downloading
      node source
  - add node_modules clean up codes
* Wed Jul 29 2015 i@marguerite.su
  - update version 0.12.7
    * openssl: upgrade to 1.0.1p
    * npm: upgrade to 2.11.3
    * v8: cherry-pick JitCodeEvent patch from upstream
  - changes in 0.12.6
    * v8: fix out-of-band write in utf8 decoder
    * fix boo#937414: CVE-2015-5380: nodejs: out of band write
* Sat Jul 25 2015 i@marguerite.su
  - build with bundled npm
* Thu Jun 25 2015 i@marguerite.su
  - update version 0.12.5
    * openssl: upgrade to 1.0.1o
    * npm: upgrade to 2.11.2
    * uv: upgrade to 1.6.1
    * V8: avoid deadlock when profiling is active
    * install: fix source path for openssl headers
    * install: make sure opensslconf.h is overwritten
    * timers: fix timeout when added in timer's callback
  - add patch: node-gcc5.patch
    * fix gcc 5 version detection
* Fri Jun 05 2015 i@marguerite.su
  - update version 0.12.4
    * npm: upgrade to 2.10.1
    * V8: revert v8 Array.prototype.values() removal
    * win: bring back xp/2k3 support
  - previous changes from 0.12.1 to 0.12.3 see ChangeLog
* Fri Apr 03 2015 dmueller@suse.com
  - enable aarch64
  - add support-arm64-build.patch
* Thu Mar 19 2015 dmacvicar@suse.de
  - enable s390x
* Sun Mar 01 2015 i@marguerite.su
  - update version 0.12.0
    * npm: upgrade to 2.5.1
    * mdb_v8: update for v0.12
  - drop nodejs-v0.10.32-release-ppc.patch.bz2
  - add nodejs-v0.12.0-release-ppc.patch.bz2
  - add README.SUSE.PowerPC to explain how to generate ppc patch
* Wed Jan 21 2015 normand@linux.vnet.ibm.com
  - Add three arches to ExclusiveArch: ppc ppc64 ppc64le
  - Add nodejs-v0.10.32-release-ppc.patch.bz2 for them
    (required as PowerPC support not yet upstream)
    (the patch header details how it is created)
  - do not configure --with-gdb for those architectures

Files

/usr/include/node8
/usr/include/node8/common.gypi
/usr/include/node8/config.gypi
/usr/include/node8/libplatform
/usr/include/node8/libplatform/libplatform-export.h
/usr/include/node8/libplatform/libplatform.h
/usr/include/node8/libplatform/v8-tracing.h
/usr/include/node8/node.h
/usr/include/node8/node_api.h
/usr/include/node8/node_api_types.h
/usr/include/node8/node_buffer.h
/usr/include/node8/node_object_wrap.h
/usr/include/node8/node_version.h
/usr/include/node8/uv
/usr/include/node8/uv.h
/usr/include/node8/uv/aix.h
/usr/include/node8/uv/android-ifaddrs.h
/usr/include/node8/uv/bsd.h
/usr/include/node8/uv/darwin.h
/usr/include/node8/uv/errno.h
/usr/include/node8/uv/linux.h
/usr/include/node8/uv/os390.h
/usr/include/node8/uv/posix.h
/usr/include/node8/uv/stdint-msvc2008.h
/usr/include/node8/uv/sunos.h
/usr/include/node8/uv/threadpool.h
/usr/include/node8/uv/tree.h
/usr/include/node8/uv/unix.h
/usr/include/node8/uv/version.h
/usr/include/node8/uv/win.h
/usr/include/node8/v8-debug.h
/usr/include/node8/v8-inspector-protocol.h
/usr/include/node8/v8-inspector.h
/usr/include/node8/v8-platform.h
/usr/include/node8/v8-profiler.h
/usr/include/node8/v8-testing.h
/usr/include/node8/v8-util.h
/usr/include/node8/v8-value-serializer-version.h
/usr/include/node8/v8-version-string.h
/usr/include/node8/v8-version.h
/usr/include/node8/v8.h
/usr/include/node8/v8config.h
/usr/share/systemtap
/usr/share/systemtap/tapset
/usr/share/systemtap/tapset/node8.stp


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Nov 29 23:59:34 2021